Name: moto4lin
Version: 0.3
Release: alt3.M24.1

Summary: File manager for Motorola P2K phones
Summary(ru_RU.CP1251):        Motorola P2K
License: GPL
Group: Communications
Url: http://moto4lin.sf.net/

Source: %name.tar.bz2

BuildPreReq: gcc-c++ libqt3-devel libusb-devel XFree86-devel zlib-devel

%description
File manager and seem editor for Motorola P2K phones (C3x0, C650, V300,
V500, V600, E398, T720, T722 etc.).

This is alpha version, use it at your own risk (you should backup all
files from your phone before using this program).

%description -l ru_RU.CP1251
    seem  P2K- Motorola (C3x0, C650, V300,
V500, V600, E398, T720, T722  .).

  -,       . 
        .

%prep
%setup -q -n %name
%__subst "s,debug,," moto_ui/moto_ui.pro
%__subst "s,/dev/usb/acm/0,/dev/input/ttyACM0," moto_ui/appconfig.cpp

%build
export PATH=$PATH:/usr/lib/qt3/bin
qmake
%make_build

%install
%__mkdir_p %buildroot{%_bindir,%_datadir/%name}
%__install -p moto_ui/%name %buildroot%_bindir/
%__install -p -m644 moto_ui/data/*.pat %buildroot%_datadir/%name/

%files
%_bindir/*
%_datadir/%name/
%doc Changelog INSTALL README

%changelog
* Thu Jul 14 2005 Michael Shigorin <mike@altlinux.org> 0.3-alt3.M24.1
- built for 2.4

* Sat Jun 11 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.3-alt4
- package *.pat, needed for correct java upload

* Sun May 29 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.3-alt3
- CVS 20050529

* Wed Apr 20 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.3-alt2
- CVS 20050420

* Sat Mar 05 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.3-alt1
- CVS 20050304

* Fri Feb 25 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.2.1-alt1
- first build
- warning: supports only 22b8:4902 (C380), connected on /dev/ttyACM0
